All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.memberproperties
Interface MemberPropertiesSelectorInterface

All Superinterfaces:
  SelectorCommitInterface

All Known Implementing Classes:
  MemberPropertiesSelectorOLAPAdapter

    public interface MemberPropertiesSelectorInterface

extends SelectorCommitInterface

Defines methods and properties required for an adapter implementation of the MemberPropertiesSelector.

Since:
  3.1.4
See Also:
  `MemberPropertiesSelector`, `MemberPropertiesSelectorPanel`

Field Summary

Fields inherited from interface com.sas.dataselectors.SelectorCommitInterface
`EXCEPTION_OCCURRED`

Method Summary
`java.util.List` | `getAvailableProperties()` Returns a list of NodeInfo objects corresponding to Dimensions that have member properties avaiable on at least one of their Levels.
`java.lang.String` | `getExpandedLevel()` Returns the uniqueLevelName that determines which level node should be expanded when the selector is launched.
`java.util.Locale` | `getLocale()` Returns the locale
`java.util.List` | `getProperties()` Returns a list of NodeInfo objects corresponding to Dimensions that have member properties currently applied on at least one of their Levels.
`void` | `setExpandedLevel(java.lang.String levelNames)` Sets the uniqueLevelName that determines which level node should be expanded when the selector is launched.
`void` | `setLocale(java.util.Locale locale)` Sets the locale
`void` | `setProperties(java.util.List properties)` Sets the list of MemberPropertyItem objects that should be applied in the new state of the adapter.

Methods inherited from interface com.sas.dataselectors.SelectorCommitInterface
`commit, getPropertiesBean`

Method Detail

### getAvailableProperties

    java.util.List getAvailableProperties()

  Returns a list of NodeInfo objects corresponding to Dimensions that have member properties avaiable on at least one of their Levels.

  Returns:
    the list of NodeInfo objects.
  See Also:
    `NodeInfo`

### getProperties

    java.util.List getProperties()

  Returns a list of NodeInfo objects corresponding to Dimensions that have member properties currently applied on at least one of their Levels.

  Returns:
    the list of NodeInfo objects.
  See Also:
    `NodeInfo`

### setProperties

    void setProperties(java.util.List properties)

  Sets the list of MemberPropertyItem objects that should be applied in the new state of the adapter.

  Parameters:
    `properties` - the list of MemberPropertyItem objects.
  See Also:
    `MemberPropertyItem`

### setExpandedLevel

    void setExpandedLevel(java.lang.String levelNames)

  Sets the uniqueLevelName that determines which level node should be expanded when the selector is launched.

### getExpandedLevel

    java.lang.String getExpandedLevel()

  Returns the uniqueLevelName that determines which level node should be expanded when the selector is launched.

  Returns:
    the uniqueLevelName of the level to be expanded.

### setLocale

    void setLocale(java.util.Locale locale)

  Sets the locale

  Parameters:
    `locale` - The locale.

### getLocale

    java.util.Locale getLocale()

  Returns the locale

  Returns:
    The locale.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.